package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ActivityParamValuePO;
import mhp.oee.po.gen.ActivityParamValuePOExample;

public interface ActivityParamValuePOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param_value
     *
     * @mbggenerated
     */
    int countByExample(ActivityParamValuePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param_value
     *
     * @mbggenerated
     */
    int deleteByExample(ActivityParamValuePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param_value
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param_value
     *
     * @mbggenerated
     */
    int insert(ActivityParamValuePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param_value
     *
     * @mbggenerated
     */
    int insertSelective(ActivityParamValuePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param_value
     *
     * @mbggenerated
     */
    List<ActivityParamValuePO> selectByExample(ActivityParamValuePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param_value
     *
     * @mbggenerated
     */
    ActivityParamValuePO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param_value
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ActivityParamValuePO record, @Param("example") ActivityParamValuePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param_value
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ActivityParamValuePO record, @Param("example") ActivityParamValuePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param_value
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ActivityParamValuePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param_value
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ActivityParamValuePO record);
}